summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Giovanne Castro2010-09-09 02:29:23 +0200
committer dsomero2010-09-09 02:29:23 +0200
commit1b1ee2b1dd60637ac4a79cec53c95be8f3451b15 (patch)
treeb7f1256dfde43a886180c91f4d8c683ef9de6554 /system
parent2eff1be223edcf19a2be96ba29d58569ed4a6da9 (diff)
downloadslackbuilds-1b1ee2b1dd60637ac4a79cec53c95be8f3451b15.tar.gz
system/winetricks: Added (script to install programs for wine)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/winetricks/README8
-rw-r--r--system/winetricks/slack-desc19
-rw-r--r--system/winetricks/winetricks.SlackBuild66
-rw-r--r--system/winetricks/winetricks.info10
4 files changed, 103 insertions, 0 deletions
diff --git a/system/winetricks/README b/system/winetricks/README
new file mode 100644
index 0000000000..99ca9c4257
--- /dev/null
+++ b/system/winetricks/README
@@ -0,0 +1,8 @@
+winetricks is a quick and dirty script to download and install
+various redistributable runtime libraries sometimes needed to
+run programs in Wine.
+
+This build script uses a snapshot script that was
+downloaded and is hosted by the script maintainer.
+
+This requires wine and cabextract. \ No newline at end of file
diff --git a/system/winetricks/slack-desc b/system/winetricks/slack-desc
new file mode 100644
index 0000000000..3d17b92f31
--- /dev/null
+++ b/system/winetricks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+winetricks: winetricks (script for download and install programs for wine)
+winetricks:
+winetricks: winetricks is a quick and dirty script to download and install
+winetricks: various redistributable runtime libraries sometimes needed to
+winetricks: run programs in Wine.
+winetricks:
+winetricks:
+winetricks: More info: http://wiki.winehq.org/winetricks
+winetricks:
+winetricks:
+winetricks:
diff --git a/system/winetricks/winetricks.SlackBuild b/system/winetricks/winetricks.SlackBuild
new file mode 100644
index 0000000000..9a12c4c427
--- /dev/null
+++ b/system/winetricks/winetricks.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for winetricks
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=winetricks
+VERSION=${VERSION:-20100822}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# No flags/configure needed because it is writen in python programing language.
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Simple copy script program
+mkdir -p $PKG/usr/bin
+chmod +x winetricks
+cp -a winetricks $PKG/usr/bin
+
+# Copy documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/winetricks/winetricks.info b/system/winetricks/winetricks.info
new file mode 100644
index 0000000000..fb8cad8899
--- /dev/null
+++ b/system/winetricks/winetricks.info
@@ -0,0 +1,10 @@
+PRGNAM="winetricks"
+VERSION="20100822"
+HOMEPAGE="http://wiki.winehq.org/winetricks"
+DOWNLOAD="http://www.ginoepri.com/linux/winetricks-20100822.tar.gz"
+MD5SUM="d76cf5ecd75a7e0dbf89f93055106b20"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="dsomero"